## sugar-0.98 0.98.8

=== debian/changelog ===
sugar-0.98 (0.98.8-1) unstable; urgency=low

  * New upstream release

  [ Santiago ]
  * Switch packaging to upstream 0.98 version branch
  * Adding myself to Uploaders
  * Bump Standars-Versions to 3.9.4 

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 00:46:58 +0200

sugar-0.96 (0.96.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * sugar-emulator: python-carquinyol moved to depends (Closes: #678720)
  * Fix shell test syntax for /u/b/sugar
  * sugar-emulator: depends on x11-xserver-utils

 -- Simon Paillard <spaillard@debian.org>  Mon, 08 Oct 2012 21:18:58 +0200

sugar-0.96 (0.96.1-2) unstable; urgency=low

  * Fix stop depending on sugar-presence-service-*: Solely used by
    sugar-etoys-activity, according to git commit message in
    sugar-presence-service.
  * Drop obsolete l10n patches.
  * Update package relations:
    + Relax to suggest (not recommend) sucrose for sugar-session, and
      sugar-session for python-jarabe and sugar-tools: Eases installing
      utilities without pulling in everything.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 May 2012 18:03:07 +0200

sugar-0.96 (0.96.1-1) unstable; urgency=low

  * New upstream stable release.

  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Bump debhelper compatibility level to 7.
  * Use Python helper python2 (not python-support).
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Rewrite using format 1.0.
    + Extend copyright coverage of some files to include recent years.
  * Switch packaging to upstream branch 0.96.
  * Have python-jarabe depend on python-xapian and python-gst0.10.
  * Have sugar-session recommend upower and consolekit
  * Have python-jarabe recommend xdg-user-dirs and python-carquinyol.
  * Have python-jarabe suggest olpc-powerd and (not yet packaged)
    gstreamer0.10-espeak.
  * Stop installing binary sugar-activity: Moved to separate upstream
    project.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 May 2012 04:12:37 +0200

sugar-0.90 (0.90.3-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Oct 2010 20:53:28 +0200

sugar-0.90 (0.90.2-2) unstable; urgency=low

  * Have sugar-session (not sucrose) provide unversioned sugar (and not
    replace or conflict with it).
  * Have sugar-session recommend sucrose.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 Oct 2010 09:25:05 +0200

sugar-0.90 (0.90.2-1) unstable; urgency=low

  * New upstream stable release.
  * Update Fructose activity relations to match activities (but not
    versions) at upstream release notes.
  * Add patch to fix POSIX handling (a.k.a. bashisms) and quoting in
    shell scripts.
  * Have sugar-emulator recommend gnome-keyring, and sucrose depend on
    it.
  * Recommend (and for sucrose: depend on) modemmanager.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Bump Policy compliance to standards-version 3.9.1.
  * Shorten Vcs-* stanzas.
  * Update copyright file: New copyright holders and years (same
    licenses).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 19:43:06 +0200

sugar-0.90 (0.89.1-1) experimental; urgency=low

  * New upstream development release.
  * Switch packaging to upstream branch 0.90.
  * Refresh patches.
  * Relax transitional conflicts to use Breaks: (not Conflicts:).
  * Bump claimed Policy compliance to standards-version to 3.9.0.
  * Update copyright file: Extend some copyright years.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jul 2010 15:09:44 +0200

sugar-0.88 (0.88.1-1) unstable; urgency=low

  * New upstream maintenance release.

  [ Luke Faraone ]
  * Include a comment in sugar.desktop.
  * Add self to uploaders and set DMUA.

  [ Jonas Smedegaard ]
  * Tighten README.source section on CDBS usage: all snippets are now
    officially packaged ones.
  * Update README.source: Fix document bootstrapping upstream Git, and
    rewrite to not use upstream-git branch.
  * Bump a year in copyright file.
  * Suppress unneeded auto-resolved build-dependency on python-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 10:59:22 +0200

sugar-0.88 (0.88.0-3) unstable; urgency=low

  * Update copyright file:
    + Fix replace license section MIT with Expat and other-X, adding
      comment on Expat variation.
    + Rename and tighten other-GAP-* sections.
  * Refer to FSF website (not postal address) in rules file header.
  * Have sugar-session and sucrose recommend (not suggest) officially
    packaged activities and python-xklavier.
  * Have python-jarabe recommend, and sucrose depend on, avahi-autoipd.
    Closes: bug#580808, thanks to Sascha Silbe.
  * Have python-jarabe recommend, and sucrose depend on, alsa-utils.
    Closes: bug#581504, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 May 2010 01:04:49 +0200

sugar-0.88 (0.88.0-2) unstable; urgency=low

  * Tidy copyright sections in copyright file.
  * Adjust debian/* copyright years in copyright file.
  * Have sugar-session recommend (and sucrose depend on) gvfs, for GIO
    removable media support. Closes: bug#577681, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 22:20:14 +0200

sugar-0.88 (0.88.0-1) unstable; urgency=low

  * New upstream development release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Revert apply patches to source in Git.
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Disable patches adding danish l10n: Upstream ships with alternative
    translation now (merging postponed till later).
  * Update copyright file:

